OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepBasic

# StepBasic_Certification Class Reference

Representation of STEP entity Certification
.

`#include <StepBasic_Certification.hxx>`

## Public Member Functions
Standard_EXPORT | StepBasic_Certification ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aPurpose, const Handle(StepBasic_CertificationType)&aKind)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
| Returns field Name .
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&Name)
| Set field Name .
Standard_EXPORT Handle_TCollection_HAsciiString | Purpose () const
| Returns field Purpose .
Standard_EXPORT void | SetPurpose (const Handle(TCollection_HAsciiString)&Purpose)
| Set field Purpose .
Standard_EXPORT Handle_StepBasic_CertificationType | Kind () const
| Returns field Kind .
Standard_EXPORT void | SetKind (const Handle(StepBasic_CertificationType)&Kind)
| Set field Kind .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_TCollection_HAsciiString | theName
Handle_TCollection_HAsciiString | thePurpose
Handle_StepBasic_CertificationType | theKind

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_Certification::StepBasic_Certification | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepBasic_Certification::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepBasic_Certification::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aPurpose,
|  | const Handle(StepBasic_CertificationType)& | aKind
| ) |

Standard_EXPORT Handle_StepBasic_CertificationType StepBasic_Certification::Kind | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_Certification::Name | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_Certification::Purpose | ( |  | ) | const

Standard_EXPORT void StepBasic_Certification::SetKind | ( | const Handle(StepBasic_CertificationType)& | Kind | ) |

Standard_EXPORT void StepBasic_Certification::SetName | ( | const Handle(TCollection_HAsciiString)& | Name | ) |

Standard_EXPORT void StepBasic_Certification::SetPurpose | ( | const Handle(TCollection_HAsciiString)& | Purpose | ) |

## Field Documentation

Handle_StepBasic_CertificationType StepBasic_Certification::theKind`[private]`

Handle_TCollection_HAsciiString StepBasic_Certification::theName`[private]`

Handle_TCollection_HAsciiString StepBasic_Certification::thePurpose`[private]`

The documentation for this class was generated from the following file:

- StepBasic_Certification.hxx